GDB (xrefs)

Public Attributes | List of all members
amd64_insn Struct Reference

## Public Attributes
int | opcode_len
int | enc_prefix_offset
int | opcode_offset
int | modrm_offset
gdb_byte * | raw_insn

## Detailed Description

Definition at line 1036 of file amd64-tdep.c.

## Member Data Documentation

## ◆ enc_prefix_offset

int amd64_insn::enc_prefix_offset

Definition at line 1042 of file amd64-tdep.c.

Referenced by amd64_get_insn_details(), and fixup_riprel().

## ◆ modrm_offset

int amd64_insn::modrm_offset

Definition at line 1046 of file amd64-tdep.c.

Referenced by amd64_get_insn_details(), amd64_get_unused_input_int_reg(), fixup_displaced_copy(), fixup_riprel(), and rip_relative_offset().

## ◆ opcode_len

int amd64_insn::opcode_len

Definition at line 1039 of file amd64-tdep.c.

Referenced by amd64_get_insn_details(), and amd64_get_unused_input_int_reg().

## ◆ opcode_offset

int amd64_insn::opcode_offset

Definition at line 1044 of file amd64-tdep.c.

Referenced by amd64_absolute_call_p(), amd64_absolute_jmp_p(), amd64_call_p(), amd64_displaced_step_copy_insn(), amd64_get_insn_details(), amd64_get_unused_input_int_reg(), amd64_jmp_p(), amd64_ret_p(), and amd64_syscall_p().

## ◆ raw_insn

gdb_byte* amd64_insn::raw_insn

Definition at line 1049 of file amd64-tdep.c.

Referenced by amd64_absolute_call_p(), amd64_absolute_jmp_p(), amd64_call_p(), amd64_get_insn_details(), amd64_get_unused_input_int_reg(), amd64_jmp_p(), amd64_ret_p(), amd64_syscall_p(), fixup_displaced_copy(), fixup_riprel(), and rip_relative_offset().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/amd64-tdep.c